Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.canvas.dom.client
Class CanvasPattern

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.canvas.dom.client.FillStrokeStyle
              com.google.gwt.canvas.dom.client.CanvasPattern

    public class CanvasPattern

extends FillStrokeStyle

Pattern object used with `Context2d`. Note that this class has no methods. It simply serves as a reference to a pattern created using `Context2d.createPattern(com.google.gwt.dom.client.CanvasElement, com.google.gwt.canvas.dom.client.Context2d.Repetition)`.

See Also:
  HTML Canvas 2D CanvasPattern

Field Summary

Fields inherited from class com.google.gwt.canvas.dom.client.FillStrokeStyle
`TYPE_CSSCOLOR, TYPE_GRADIENT, TYPE_PATTERN`

Constructor Summary
`protected` | `CanvasPattern()`

Method Summary

Methods inherited from class com.google.gwt.canvas.dom.client.FillStrokeStyle
`getType`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CanvasPattern

    protected CanvasPattern()

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD